Resolver conflictos de las betas de Firefox x.x.x

Como ya explique en los siguientes enlaces, la mejor forma de probar las betas de Firefox es la siguiente ya que podemos probar todas las que queramos sin riego de corromper la instalada en el sistema:
La forma más limpia de probar nuevas versiones de Firefox

La forma de dejar ésta como predeterminada, lo explique aquí:
Configurar apertura predeterminada cuando se instala Firefox manualmente

Ahora bien, el problema mayormente vienen dado por los complementos(Add-ons) que utiliza Firefox, que aún no están actualizados para la nueva versión. Está claro que la mayoría queremos seguir utilizando nuestros complemento favoritos. Estos complementos(Add-ons) prácticamente todos seguirán funcionando en la nueva versión, pero Firefox no nos deja habilitarlos ya que pertenecen a versiones anteriores y por motivos de estabilidad los inhabilita.
Para forzar la habilitación de los complementos(Add-ons) haremos los siguiente:

Modo Manual

En la barra de navegación de Firefox (de la versión que estamos probando) ponemos:

  • about:config

Aceptamos el mensaje de seguridad que nos muestra y en la ventana de Firefox clicamos con el botón derecho del ratón.
Seleccionamos:
Nuevo Lógico 

En la ventana que nos muestra ponemos:

  • extensions.checkCompatibility.4.0b

Como podemos ver al final de la cadena indicada anteriormente, se pone el número exacto de la versión que se está utilizando. En este caso, yo estoy utilizando Firefox 4.0b7 pero el índice de la beta no es necesario ponerlo.
En la siguiente ventana deberemos seleccionar false:

Ya podemos cerrar y volver abrir Firefox.

Modo automático

Otra forma de hacerlo es bajarse el complemento(Add-on) de Firefox que hay expresamente para este cometido desde aqui:

Add-on Compatibility Reporter

Este complemento(Add-on) realizará todo el trabajo por ti, añadiendo las cadenas necesarias desde la versión 3 y anteriores hasta la última versión de Firefox.
Este complemento(Add-on) analiza los complementos(Add-ons) que tengas de versiones anteriores y los activa si considera que no hay conflictos con la nueva versión de Firefox. Deshabilitando el resto.

Puede sucedernos que al volver a iniciar Firefox nos salga un mensaje de error parecido a este, sobre todo si hemos realizado el proceso manualmente:

Error de lectura XML: entidad no definida Ubicación: chrome://browser/content/browser.xul Número de línea…etc, etc, etc

Esto suele suceder normalmente porque algún complemento(Add-on) está creando un conflicto. Normalmente es el de Lenguaje. Para solucionar esto, procederemos de la siguiente forma.
Abrimos un Terminal y ponemos la ruta completa donde introdujiste el paquete descomprimido de Firefox. En mi caso:

  • /opt/firefox

En el Terminal deberemos poner lo siguiente:

  • /opt/firefox/firefox -safe-mode

Esto lo que posibilita es que Firefox sea abierto en modo seguro.
En la ventana que nos muestre pulsaremos en:

  • Continuar en modo seguro

Una vez abierto Firefox nos dirigimos al menú…

Herramientas   Complementos

…y en Idiomas deshabilitamos el idioma Español.
Esto no quitará el Idioma Español de Firefox, sino que lo que hará es obligar a éste a utilizar el idioma español nativo de ese paquete, que por supuesto nos habremos bajado en español.

Deja un comentario

Tu dirección de correo electrónico no será publicada.